Subject: FVWM: Japanese text

From: "Faiz Kazi" <[email-masked]>
Date: Sat, 23 Oct 2004 06:18:05 +0530

Hi,

I'm trying to get Japanese text to display
on the title bars and menus in fvwm.

I tried all these (Individually, I mean) in my .fvwm2rc file:
Style * Font "xft:Bitstream Cyberbit"
Style * Font "xft:Bitstream Cyberbit:encoding=iso10646-1"
Style * Font "xft:Luxi Mono:Medium:Roman:size=14:encoding=iso8859-1"

I also tried with EUC-JP as encoding:
Style * Font "xft:Kochi Mincho"
Style * Font "xft:Kochi Mincho:encoding=EUC-JP"

And various such combinations. But the text does
not appear; instead I see only dots (2 for every
japanese character), or I see nothing at all.

I also tried running fvwm with the LANG variable
set to "ja_JP", "ja_JP.eucJP", and so on. The only
change when I do this is that the fonts look
'different', but the actual Japanese text still
doesn't display - either I see dots or some
garbage in their place.

I think I'm missing something basic here...?
Does anyone have pointers to how this is usually
done?

My fvwm version is 2.5.12:

fvwm 2.5.12 compiled on Oct  6 2004 at 14:48:09
with support for: ReadLine, RPlay, Stroke, XPM, PNG, Shape, XShm, SM, Bidi 
text, Xinerama, XRender, XFT, NLS

(I see Bidi text, XFT... is there anything else
needed?) This is the version from Debian
Unstable, if anyone's using it... My XFree86
version is 4.3.0.1.

Thanks,
Faiz

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].